local ML = LibStub("MoncaiLib");
local MQT = LibStub("AceAddon-3.0"):GetAddon("MoncaiQuestTracker");

local QH = MQT:NewModule("MQT_QuestHelper");
QH.fun = {};
local fun = QH.fun;

--------------------------------------------------------------------------------------------------------
--
-- Initialize
--
--------------------------------------------------------------------------------------------------------

function QH.OnInitialize(self)	
	local hooks = ML.api.hooking:new(self);
	self.hooks = hooks;
	hooks:adda(self.fun);
end

function QH.OnEnable(self)
	self.hooks:enable();
end

function QH.OnDisable(self)
	self.hooks:disable();
end
